//blank file for .cs-formatted notes.

registerOutputEvent(GameConnection, setChatRoom, "string 16 140");

function GameConnection::setChatRoom(%this, %name)
{
	if(%name $= %this.chatroom) return;
	if(%this.chatroom !$= "") {
		for(%i = 0; %i < clientGroup.getCount(); %i++) {
			%cl = clientGroup.getObject(%i);
			if(%cl.chatroom $= %this.chatroom) {
				if(%cl == %this) messageclient(%cl, '', "\c5You left channel \c6" @ %cl.chatroom @ "\c5.");
				else messageclient(%cl, '', "\c3" @ %this.name @ "\c5 left the channel.");
			}
		}
	}
	%this.chatroom = %name;
	if(%name $= "") return;
	for(%i = 0; %i < clientGroup.getCount(); %i++) {
		%cl = clientGroup.getObject(%i);
		if(%cl.chatroom $= %this.chatroom) {
			if(%cl == %this) messageclient(%cl, '', "\c5You joined channel \c6" @ %cl.chatroom @ "\c5.");
				else messageclient(%cl, '', "\c3" @ %this.name @ "\c5 joined the channel.");
		}
	}
}

package EventChatRoomPackage
{
	function ServerCmdTeamMessageSent(%client, %message)
	{
		if(%client.chatroom $= "") Parent::ServerCmdTeamMessageSent(%client, %message);
		else {
			for(%i = 0; %i < clientGroup.getCount(); %i++) {
				%cl = clientGroup.getObject(%i);
				if(%cl.chatroom $= %client.chatroom) {
					MessageClient(%cl, '', "\c4[" @ %client.chatroom @ "]\c7" @ %client.clanPrefix @ "\c3" @ %client.name @ "\c7" @ %client.clanSuffix @ "\c6: " @ %message);
					%told++;
				}
			}
			if(%told < 2) messageclient(%client, '', "\c7No one hears you.");
		}
	}
};
activatePackage(EventChatRoomPackage);